## net.sourceforge.pmd
Interface ReportListener

public interface ReportListener

Method Summary
`void` `metricAdded(Metric metric)`
`void` `ruleViolationAdded(IRuleViolation ruleViolation)`

Method Detail

### ruleViolationAdded

    public void ruleViolationAdded(IRuleViolation ruleViolation)

### metricAdded

    public void metricAdded(Metric metric)

Copyright © 2002-2006 InfoEther. All Rights Reserved.